/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee.statistics;

import javax.management.j2ee.statistics.EntityBeanStats;
import javax.management.j2ee.statistics.RangeStatistic;

/**
 * The JSR77.6.12 EntityBeanStats implementation
 *
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.4.6.2 $
 */
public class EntityBeanStatsImpl extends EJBStatsImpl
        implements EntityBeanStats
{
   // Constants -----------------------------------------------------
   
   /** @since 4.0.2 */
   private static final long serialVersionUID = 568715454355570891L;

   // Private Data --------------------------------------------------
   
   private RangeStatisticImpl methodReadyCount;
   private RangeStatisticImpl pooledCount;

   // Constructors --------------------------------------------------
      
   public EntityBeanStatsImpl()
   {
      methodReadyCount = new RangeStatisticImpl("ReadyCount", "1",
              "The count of beans in the ready state");
      pooledCount = new RangeStatisticImpl("PooledCount", "1",
              "The count of beans in the pooled state");
      addStatistic("ReadyCount", methodReadyCount);
      addStatistic("PooledCount", pooledCount);
   }

// Begin javax.management.j2ee.statistics.EntityBeanStats interface methods

   public RangeStatistic getReadyCount()
   {
      return methodReadyCount;
   }

   public RangeStatistic getPooledCount()
   {
      return pooledCount;
   }

// End javax.management.j2ee.statistics.EntityBeanStats interface methods
}
